Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys.ksh	(revision 725)
@@ -15,5 +15,5 @@
 export LC_ALL="C"
 
-# By default, all libIGCM_sys save functions will protect output datas (RUN execution mode) 
+# By default, all libIGCM_sys save functions will protect output datas (RUN execution mode)
 # other values : DEB(ug), DEV(elopment).
 JobType=${JobType:=RUN}
@@ -37,5 +37,5 @@
 #====================================================
 #- set PackDefault false by default
-PackDefault=false 
+PackDefault=false
 
 # variable that must have lower case value.
@@ -43,8 +43,4 @@
 
 case $( hostname -s ) in
-
-    brodie*)
-	echo "sys source brodie Nec SX8 lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_brodie.ksh;;
 
     vargas*)
@@ -57,18 +53,10 @@
 
     mercure0?)
-	echo "sys source mercure frontend X-64 lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercure.ksh;;
-
-    mercure1?)
-	echo "sys source mercure Nec SX8-R lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex8.ksh;;
+        echo "sys source mercure frontend X-64 lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mercure.ksh;;
 
     mercure2?)
-	echo "sys source mercure Nec SX9 lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex9.ksh;;
-
-    platine*)
-	echo "sys source platine Intel IA-64 lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_platine.ksh;;
+        echo "sys source mercure Nec SX9 lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mercurex9.ksh;;
 
      curie*)
@@ -77,20 +65,20 @@
 
     titane*)
-	echo "sys source titane Intel X-64 lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_titane.ksh;;
+        echo "sys source titane Intel X-64 lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_titane.ksh;;
 
     cesium*)
-	echo "sys source cesium Intel X-64 lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_cesium.ksh;;
+        echo "sys source cesium Intel X-64 lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_cesium.ksh;;
 
     obelix*)
-	echo "sys source obelix lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
+        echo "sys source obelix lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
     iitm*)
-	echo "sys source iitm lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_iitm.ksh;;
+        echo "sys source iitm lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_iitm.ksh;;
     *)
-	echo "sys source default lib."
-	. ${libIGCM}/libIGCM_sys/libIGCM_sys_default.ksh;;
+        echo "sys source default lib."
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_default.ksh;;
 esac
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 725)
@@ -144,11 +144,4 @@
 
 #====================================================
-#- ARCHIVE (dedicated to large files)
-typeset -r ARCHIVE=${CCCSTOREDIR}
-
-#- ARCHIVE (dedicated to small/medium files)
-typeset -r STORAGE=${CCCWORKDIR}
-
-#====================================================
 #- IN
 typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
@@ -156,10 +149,18 @@
 
 #====================================================
+#- ARCHIVE (dedicated to large files)
+typeset ARCHIVE=${CCCSTOREDIR}
+
+#====================================================
+#- STORAGE (dedicated to small/medium files)
+typeset STORAGE=${CCCWORKDIR}
+
+#====================================================
 #- R_OUT
-typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+typeset R_OUT=${ARCHIVE}/IGCM_OUT
 
 #====================================================
 #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-typeset -r R_FIG=${STORAGE}/IGCM_OUT
+typeset R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -208,4 +209,24 @@
 DEFAULT_NUM_PROC_TOTAL=${BATCH_NUM_PROC_TOT}
 
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: if SpaceName=TEST everything is stored on SCRATCHDIR
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+  IGCM_debug_PushStack "IGCM_sys_ChangeArchive"
+
+  ARCHIVE=${SCRATCHDIR}
+  STORAGE=${SCRATCHDIR}
+  R_OUT=${ARCHIVE}/IGCM_OUT
+  R_FIG=${STORAGE}/IGCM_OUT
+
+  IGCM_debug_Print 1 "ARCHIVE has been redefined = ${ARCHIVE}"
+  IGCM_debug_Print 1 "STORAGE has been redefined = ${STORAGE}"
+  IGCM_debug_Print 1 "R_OUT   has been redefined = ${R_OUT}"
+  IGCM_debug_Print 1 "R_FIG   has been redefined = ${R_FIG}"
+
+  IGCM_debug_PopStack "IGCM_sys_ChangeArchive"
+}
 
 #D-#==================================================
@@ -1800,5 +1821,5 @@
   fi
 
-  typeset NB_ESSAI DELAI status i
+  typeset NB_ESSAI DELAI status i lastArg
   # number of tentative
   NB_ESSAI=3
@@ -1815,4 +1836,6 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      eval lastArg=\$$#
+      \rm ${lastArg}
     else
       \rm out_rsync
@@ -1822,5 +1845,5 @@
   done
 
-  if [ $? -gt 0 ] ; then
+  if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_rebuild : rebuild error"
     IGCM_debug_Exit "rebuild"
@@ -2448,5 +2471,5 @@
   fi
 
-  typeset NB_ESSAI DELAI status i
+  typeset NB_ESSAI DELAI status i lastArg
   # number of tentative
   NB_ESSAI=3
@@ -2466,8 +2489,8 @@
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
       cat out_rsync
-      # Hacky output parsing...
-      toDelete=$( awk -F "output file " {'print $2'} out_rsync | awk -F " record" {'print $1'} )
-      IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${toDelete}"
-      \rm ${toDelete}
+      # remove files having corrupted time axis
+      eval lastArg=\$$#
+      IGCM_debug_Print 2 "IGCM_sys_ncrcat : Delete ${lastArg}"
+      \rm ${lastArg}
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 725)
@@ -113,13 +113,14 @@
 
 #====================================================
+#- IN
+typeset -r R_IN=${R_IN:=/home/${LOGIN}/IGCM}
+
+#====================================================
 #- ARCHIVE (dedicated to large files)
 typeset -r ARCHIVE=/home/${LOGIN}
 
-#- ARCHIVE (dedicated to small/medium files)
+#====================================================
+#- STORAGE (dedicated to small/medium files)
 typeset -r STORAGE=${ARCHIVE}
-
-#====================================================
-#- IN
-typeset -r R_IN=${R_IN:=${ARCHIVE}/IGCM}
 
 #====================================================
@@ -173,4 +174,15 @@
 (( DEFAULT_NUM_PROC_ATM = BATCH_NUM_PROC_TOT - DEFAULT_NUM_PROC_OCE - DEFAULT_NUM_PROC_CPL ))
 DEFAULT_NUM_PROC_TOTAL=${BATCH_NUM_PROC_TOT}
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: Just a dummy call on this machine
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+
+  IGCM_debug_Print 1 " dummy function : IGCM_sys_ChangeArchive "
+
+}
 
 #D-#==================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 725)
@@ -93,4 +93,9 @@
 
 #====================================================
+#- IN
+typeset -r R_IN=${R_IN:=/gpfs1/home/sabin}
+typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/gpfs1/home/sabin}
+
+#====================================================
 #- ARCHIVE
 typeset -r ARCHIVE=$( echo ${HOME} | sed -e "s/gpfs1/gpfs3/" )
@@ -106,9 +111,4 @@
 
 #====================================================
-#- IN
-typeset -r R_IN=${R_IN:=/gpfs1/home/sabin}
-typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/gpfs1/home/sabin}
-
-#====================================================
 #- OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
@@ -133,4 +133,15 @@
 #- Max number of arguments passed to nco operator or demigration command
 UNIX_MAX_LIMIT=360
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: Just a dummy call on this machine
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+
+  IGCM_debug_Print 1 " dummy function : IGCM_sys_ChangeArchive "
+
+}
 
 #D-#==================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 725)
@@ -102,11 +102,4 @@
 
 #====================================================
-#- ARCHIVE (dedicated to large files)
-typeset -r ARCHIVE=${CCCSTOREDIR}
-
-#- ARCHIVE (dedicated to small/medium files)
-typeset -r STORAGE=${CCCWORKDIR}
-
-#====================================================
 #- IN
 typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
@@ -114,10 +107,18 @@
 
 #====================================================
+#- ARCHIVE (dedicated to large files)
+typeset ARCHIVE=${CCCSTOREDIR}
+
+#====================================================
+#- STORAGE (dedicated to small/medium files)
+typeset STORAGE=${CCCWORKDIR}
+
+#====================================================
 #- R_OUT
-typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+typeset R_OUT=${ARCHIVE}/IGCM_OUT
 
 #====================================================
 #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-typeset -r R_FIG=${STORAGE}/IGCM_OUT
+typeset R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -143,4 +144,24 @@
 #- set PackDefault true on NEC front-end
 PackDefault=true
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: if SpaceName=TEST everything is stored on SCRATCHDIR
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+  IGCM_debug_PushStack "IGCM_sys_ChangeArchive"
+
+  ARCHIVE=${SCRATCHDIR}
+  STORAGE=${SCRATCHDIR}
+  R_OUT=${ARCHIVE}/IGCM_OUT
+  R_FIG=${STORAGE}/IGCM_OUT
+  IGCM_debug_Print 1 "ARCHIVE has been redefined = ${ARCHIVE}"
+  IGCM_debug_Print 1 "STORAGE has been redefined = ${STORAGE}"
+  IGCM_debug_Print 1 "R_OUT   has been redefined = ${R_OUT}"
+  IGCM_debug_Print 1 "R_FIG   has been redefined = ${R_FIG}"
+
+  IGCM_debug_PopStack "IGCM_sys_ChangeArchive"
+}
 
 #D-#==================================================
@@ -1596,5 +1617,5 @@
   fi
 
-  typeset NB_ESSAI DELAI status i
+  typeset NB_ESSAI DELAI status i lastArg
   # number of tentative
   NB_ESSAI=3
@@ -1611,4 +1632,6 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      eval lastArg=\$$#
+      \rm ${lastArg}
     else
       \rm out_rsync
@@ -1618,5 +1641,5 @@
   done
 
-  if [ $? -gt 0 ] ; then
+  if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_rebuild : rebuild error"
     IGCM_debug_Exit "rebuild"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 725)
@@ -128,11 +128,4 @@
 
 #====================================================
-#- ARCHIVE (dedicated to large files)
-typeset -r ARCHIVE=${CCCSTOREDIR}
-
-#- ARCHIVE (dedicated to small/medium files)
-typeset -r STORAGE=${CCCWORKDIR}
-
-#====================================================
 #- IN
 typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
@@ -140,10 +133,18 @@
 
 #====================================================
+#- ARCHIVE (dedicated to large files)
+typeset ARCHIVE=${CCCSTOREDIR}
+
+#====================================================
+#- STORAGE (dedicated to small/medium files)
+typeset STORAGE=${CCCWORKDIR}
+
+#====================================================
 #- R_OUT
-typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+typeset R_OUT=${ARCHIVE}/IGCM_OUT
 
 #====================================================
 #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-typeset -r R_FIG=${STORAGE}/IGCM_OUT
+typeset R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -183,4 +184,25 @@
 (( DEFAULT_NUM_PROC_ATM = BATCH_NUM_PROC_TOT - 1 ))
 DEFAULT_NUM_PROC_TOTAL=${BATCH_NUM_PROC_TOT}
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: if SpaceName=TEST everything is stored on SCRATCHDIR
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+  IGCM_debug_PushStack "IGCM_sys_ChangeArchive"
+
+  ARCHIVE=${SCRATCHDIR}
+  STORAGE=${SCRATCHDIR}
+  R_OUT=${ARCHIVE}/IGCM_OUT
+  R_FIG=${STORAGE}/IGCM_OUT
+
+  IGCM_debug_Print 1 "ARCHIVE has been redefined = ${ARCHIVE}"
+  IGCM_debug_Print 1 "STORAGE has been redefined = ${STORAGE}"
+  IGCM_debug_Print 1 "R_OUT   has been redefined = ${R_OUT}"
+  IGCM_debug_Print 1 "R_FIG   has been redefined = ${R_FIG}"
+
+  IGCM_debug_PopStack "IGCM_sys_ChangeArchive"
+}
 
 #D-#==================================================
@@ -1567,5 +1589,5 @@
   fi
 
-  typeset NB_ESSAI DELAI status i
+  typeset NB_ESSAI DELAI status i lastArg
   # number of tentative
   NB_ESSAI=3
@@ -1582,4 +1604,6 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      eval lastArg=\$$#
+      \rm ${lastArg}
     else
       \rm out_rsync
@@ -1589,5 +1613,5 @@
   done
 
-  if [ $? -gt 0 ] ; then
+  if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_rebuild : rebuild error"
     IGCM_debug_Exit "rebuild"
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 725)
@@ -129,13 +129,14 @@
 
 #====================================================
+#- IN
+typeset -r R_IN=${R_IN:=/home/orchidee01/mmancip/IGCM}
+
+#====================================================
 #- ARCHIVE (dedicated to large files)
 typeset -r ARCHIVE=${ARCHIVE:=/home/scratch01/${LOGIN}}
 
-#- ARCHIVE (dedicated to small/medium files)
+#====================================================
+#- STORAGE (dedicated to small/medium files)
 typeset -r STORAGE=${ARCHIVE}
-
-#====================================================
-#- IN
-typeset -r R_IN=${R_IN:=/home/orchidee01/mmancip/IGCM}
 
 #====================================================
@@ -188,4 +189,15 @@
 (( DEFAULT_NUM_PROC_ATM = BATCH_NUM_PROC_TOT - DEFAULT_NUM_PROC_OCE - DEFAULT_NUM_PROC_CPL ))
 DEFAULT_NUM_PROC_TOTAL=${BATCH_NUM_PROC_TOT}
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: Just a dummy call on this machine
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+
+  IGCM_debug_Print 1 " dummy function : IGCM_sys_ChangeArchive "
+
+}
 
 #D-#==================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 725)
@@ -143,11 +143,4 @@
 
 #====================================================
-#- ARCHIVE (dedicated to large files)
-typeset -r ARCHIVE=${CCCSTOREDIR}
-
-#- ARCHIVE (dedicated to small/medium files)
-typeset -r STORAGE=${CCCWORKDIR}
-
-#====================================================
 #- IN
 typeset -r R_IN=${R_IN:=/ccc/work/cont003/dsm/p86ipsl/IGCM}
@@ -155,10 +148,18 @@
 
 #====================================================
+#- ARCHIVE (dedicated to large files)
+typeset ARCHIVE=${CCCSTOREDIR}
+
+#====================================================
+#- STORAGE (dedicated to small/medium files)
+typeset STORAGE=${CCCWORKDIR}
+
+#====================================================
 #- R_OUT
-typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
+typeset R_OUT=${ARCHIVE}/IGCM_OUT
 
 #====================================================
 #- R_FIG (hosting figures : monitoring and atlas, and/or small files)
-typeset -r R_FIG=${STORAGE}/IGCM_OUT
+typeset R_FIG=${STORAGE}/IGCM_OUT
 
 #====================================================
@@ -207,4 +208,24 @@
 DEFAULT_NUM_PROC_TOTAL=${BATCH_NUM_PROC_TOT}
 
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: if SpaceName=TEST everything is stored on SCRATCHDIR
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+  IGCM_debug_PushStack "IGCM_sys_ChangeArchive"
+
+  ARCHIVE=${SCRATCHDIR}
+  STORAGE=${SCRATCHDIR}
+  R_OUT=${ARCHIVE}/IGCM_OUT
+  R_FIG=${STORAGE}/IGCM_OUT
+
+  IGCM_debug_Print 1 "ARCHIVE has been redefined = ${ARCHIVE}"
+  IGCM_debug_Print 1 "STORAGE has been redefined = ${STORAGE}"
+  IGCM_debug_Print 1 "R_OUT   has been redefined = ${R_OUT}"
+  IGCM_debug_Print 1 "R_FIG   has been redefined = ${R_FIG}"
+
+  IGCM_debug_PopStack "IGCM_sys_ChangeArchive"
+}
 
 #D-#==================================================
@@ -1357,5 +1378,5 @@
   fi
 
-  typeset NB_ESSAI DELAI status i exist skip 
+  typeset NB_ESSAI DELAI status i exist skip
 
   # number of tentative
@@ -1827,5 +1848,5 @@
   fi
 
-  typeset NB_ESSAI DELAI status i
+  typeset NB_ESSAI DELAI status i lastArg
   # number of tentative
   NB_ESSAI=3
@@ -1842,4 +1863,6 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_rebuild : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      eval lastArg=\$$#
+      \rm ${lastArg}
     else
       \rm out_rsync
@@ -1849,5 +1872,5 @@
   done
 
-  if [ $? -gt 0 ] ; then
+  if [ ${status} -gt 0 ] ; then
     echo "IGCM_sys_rebuild : rebuild error"
     IGCM_debug_Exit "rebuild"
@@ -1865,5 +1888,5 @@
   list_opt=$@
 
-  # Invert Axis : t,x -> x,t 
+  # Invert Axis : t,x -> x,t
   #               t,pres,x -> x,t,pres
   # So that we can concatenate along x
@@ -1928,5 +1951,5 @@
 #      j3=${proc_stn[${iStation}]}
       # Extract station
-      # Invert Axis : t,x -> x,t 
+      # Invert Axis : t,x -> x,t
       #               t,pres,x -> x,t,pres
       # So that we can concatenate along x
@@ -2226,5 +2249,5 @@
     fi
 
-  else # Only one executable. 
+  else # Only one executable.
       # Check has to be added with :
       # Job :
@@ -2308,10 +2331,10 @@
 
     if [ "${unit_quota}" = "*" ] ; then
-	IGCM_debug_Print 1 "Please, check your quota of volume on scratch"
-	IGCM_debug_Print 1 "More than 100% of your quota is used"
-	IGCM_debug_Print 1 "Use the ccc_quota command to check"
-	IGCM_debug_Print 1 "You must have more than 10% available to run"
-	IGCM_debug_Exit "Not enough space to run ! STOP HERE"
-	IGCM_debug_Verif_Exit
+        IGCM_debug_Print 1 "Please, check your quota of volume on scratch"
+        IGCM_debug_Print 1 "More than 100% of your quota is used"
+        IGCM_debug_Print 1 "Use the ccc_quota command to check"
+        IGCM_debug_Print 1 "You must have more than 10% available to run"
+        IGCM_debug_Exit "Not enough space to run ! STOP HERE"
+        IGCM_debug_Verif_Exit
     fi
 
@@ -2371,10 +2394,10 @@
 
     if [ "${unit_quota}" = "*" ] ; then
-	IGCM_debug_Print 1 "Please, check your quota of inode on scratch"
-	IGCM_debug_Print 1 "More than 100% of your quota is used"
-	IGCM_debug_Print 1 "Use the ccc_quota command to check"
-	IGCM_debug_Print 1 "You must have more than 10% available to run"
-	IGCM_debug_Exit "Not enough space to run ! STOP HERE"
-	IGCM_debug_Verif_Exit
+        IGCM_debug_Print 1 "Please, check your quota of inode on scratch"
+        IGCM_debug_Print 1 "More than 100% of your quota is used"
+        IGCM_debug_Print 1 "Use the ccc_quota command to check"
+        IGCM_debug_Print 1 "You must have more than 10% available to run"
+        IGCM_debug_Exit "Not enough space to run ! STOP HERE"
+        IGCM_debug_Verif_Exit
     fi
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ulam.ksh	(revision 725)
@@ -100,4 +100,9 @@
 
 #====================================================
+#- IN
+typeset -r R_IN=${R_IN:=/u/rech/psl/rpsl035/IGCM}
+typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/u/rech/psl/rpsl376}
+
+#====================================================
 #- ARCHIVE
 # modified 17/10/2011 /u to be used for file stored on gaya
@@ -109,9 +114,4 @@
 
 #====================================================
-#- IN
-typeset -r R_IN=${R_IN:=/u/rech/psl/rpsl035/IGCM}
-typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/u/rech/psl/rpsl376}
-
-#====================================================
 #- OUT
 typeset -r R_OUT=${ARCHIVE}/IGCM_OUT
@@ -136,4 +136,15 @@
 #- Max number of arguments passed to nco operator or demigration command
 UNIX_MAX_LIMIT=120
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: Just a dummy call on this machine
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+
+  IGCM_debug_Print 1 " dummy function : IGCM_sys_ChangeArchive "
+
+}
 
 #D-#==================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 724)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 725)
@@ -96,4 +96,9 @@
 
 #====================================================
+#- IN
+typeset -r R_IN=${R_IN:=/u/rech/psl/rpsl035/IGCM}
+typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/u/rech/psl/rpsl376}
+
+#====================================================
 #- ARCHIVE
 typeset -r ARCHIVE=$( echo ${HOME} | sed -e "s/homegpfs/u/" )
@@ -108,9 +113,4 @@
 typeset -r HOME_POST=$( echo ${HOME} | sed -e "s/homegpfs/home/" )
 typeset -r libIGCM_POST=${HOME_POST}/MIRROR/${PATHlibIGCM}/libIGCM
-
-#====================================================
-#- IN
-typeset -r R_IN=${R_IN:=/u/rech/psl/rpsl035/IGCM}
-typeset -r R_IN_ECMWF=${R_IN_ECMWF:=/u/rech/psl/rpsl376}
 
 #====================================================
@@ -150,4 +150,15 @@
 [ X${BATCH_NUM_PROC_TOT} = X ] || (( DEFAULT_NUM_PROC_ATM = BATCH_NUM_PROC_TOT - DEFAULT_NUM_PROC_OCE - DEFAULT_NUM_PROC_CPL ))
 DEFAULT_NUM_PROC_TOTAL=${BATCH_NUM_PROC_TOT}
+
+#D-#==================================================
+#D-function IGCM_sys_ChangeArchive
+#D-* Purpose: Just a dummy call on this machine
+#D-* Examples:
+#D-
+function IGCM_sys_ChangeArchive {
+
+  IGCM_debug_Print 1 " dummy function : IGCM_sys_ChangeArchive "
+
+}
 
 #D-#==================================================