Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 732)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 733)
@@ -1838,4 +1838,5 @@
       eval lastArg=\$$#
       \rm ${lastArg}
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2126,4 +2127,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2162,4 +2164,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2198,4 +2201,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2234,4 +2238,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2270,4 +2275,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2306,4 +2312,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2342,4 +2349,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2378,4 +2386,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2414,4 +2423,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2450,4 +2460,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2486,4 +2497,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     elif [ ! "X$( grep "WARNING Intra-file non-monotonicity" out_rsync )" = "X" ] ; then
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : WARNING Intra-file non-monotonicity"
@@ -2495,4 +2507,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2531,4 +2544,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2567,4 +2581,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 732)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 733)
@@ -1634,4 +1634,5 @@
       eval lastArg=\$$#
       \rm ${lastArg}
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1774,4 +1775,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1810,4 +1812,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1846,4 +1849,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1882,4 +1886,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1918,4 +1923,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1954,4 +1960,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -1990,4 +1997,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2026,4 +2034,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2062,4 +2071,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2098,4 +2108,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2134,4 +2145,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2170,4 +2182,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2206,4 +2219,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 732)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 733)
@@ -1606,4 +1606,5 @@
       eval lastArg=\$$#
       \rm ${lastArg}
+      sleep $DELAI
     else
       \rm out_rsync
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 732)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 733)
@@ -1875,4 +1875,5 @@
       eval lastArg=\$$#
       \rm ${lastArg}
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2482,4 +2483,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncap2 : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2518,4 +2520,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncatted : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2554,4 +2557,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncbo : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2590,4 +2594,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncdiff : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2626,4 +2631,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncea : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2662,4 +2668,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncecat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2698,4 +2705,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncflint : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2734,4 +2742,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncks : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2770,4 +2779,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncpdq : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2806,4 +2816,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncra : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2842,4 +2853,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrcat : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2878,4 +2890,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncrename : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync
@@ -2914,4 +2927,5 @@
       \rm out_rsync
       IGCM_debug_Print 2 "IGCM_sys_ncwa : ${i}/${NB_ESSAI} sleep ${DELAI} seconds and try again."
+      sleep $DELAI
     else
       \rm out_rsync